#!/usr/bin/env python
"""
Copyright © Huawei Technologies Co., Ltd. 2010-2019. All rights reserved.
description     :   list timer mmc msg
modify  record  :   2016-02-01 create file
"""

timer_mmc_msg_enum_table = {
0x2000 : "TI_NAS_MMC_FORBID_LA_TIMER",
0x2001 : "TI_NAS_MMC_AVAILABLE_TIMER",
0x2002 : "TI_NAS_MMC_HPLMN_TIMER",
0x2003 : "TI_NAS_MMC_WAIT_MM_START_CNF",
0x2005 : "TI_NAS_MMC_WAIT_LMM_START_CNF",
0x2006 : "TI_NAS_MMC_WAIT_READ_SIM_FILES",
0x2007 : "TI_NAS_MMC_WAIT_WAS_PLMN_SEARCH_CNF",
0x2008 : "TI_NAS_MMC_WAIT_GAS_PLMN_SEARCH_CNF",
0x2009 : "TI_NAS_MMC_WAIT_LMM_PLMN_SEARCH_CNF",
0x200A : "TI_NAS_MMC_WAIT_WAS_SUSPEND_CNF",
0x200B : "TI_NAS_MMC_WAIT_GAS_SUSPEND_CNF",
0x200C : "TI_NAS_MMC_WAIT_LMM_SUSPEND_CNF",
0x200D : "TI_NAS_MMC_WAIT_WAS_PLMN_STOP_CNF",
0x200E : "TI_NAS_MMC_WAIT_GAS_PLMN_STOP_CNF",
0x200F : "TI_NAS_MMC_WAIT_LMM_PLMN_STOP_CNF",
0x2010 : "TI_NAS_MMC_WAIT_WAS_SYS_INFO",
0x2011 : "TI_NAS_MMC_WAIT_GAS_SYS_INFO",
0x2012 : "TI_NAS_MMC_WAIT_LMM_SYS_INFO",
0x2013 : "TI_NAS_MMC_WAIT_CSPS_REG_IND",
0x2014 : "TI_NAS_MMC_WAIT_RRC_CONN_REL",
0x2015 : "TI_NAS_MMC_WAIT_TBF_REL",
0x2016 : "TI_NAS_MMC_WAIT_LMM_USIM_STATUS_CNF",
0x2017 : "TI_NAS_MMC_WAIT_MM_POWEROFF_CNF",
0x2019 : "TI_NAS_MMC_WAIT_MM_SUSPEND_RSP",
0x201A : "TI_NAS_MMC_WAIT_AS_RESUME_IND",
0x201B : "TI_NAS_MMC_WAIT_MM_RESUME_RSP",
0x201C : "TI_NAS_MMC_WAIT_WAS_SUSPEND_REL_CNF",
0x201D : "TI_NAS_MMC_WAIT_EST_IND",
0x201E : "TI_NAS_MMC_WAIT_AS_SUSPEND_IND",
0x201F : "TI_NAS_MMC_WAIT_EPS_REG_IND",
0x2020 : "TI_NAS_MMC_WAIT_EPS_CONN_REL_IND",
0x2021 : "TI_NAS_MMC_WAIT_WAS_PLMN_LIST_CNF",
0x2022 : "TI_NAS_MMC_WAIT_GAS_PLMN_LIST_CNF",
0x2023 : "TI_NAS_MMC_WAIT_LMM_PLMN_LIST_CNF",
0x2024 : "TI_NAS_MMC_PERIOD_TRYING_USER_PLMN_LIST",
0x2025 : "TI_NAS_MMC_PERIOD_TRYING_INTER_PLMN_LIST",
0x2026 : "TI_NAS_MMC_WAIT_GAS_SYSCFG_CNF",
0x2027 : "TI_NAS_MMC_WAIT_WAS_SYSCFG_CNF",
0x2028 : "TI_NAS_MMC_WAIT_LMM_SYSCFG_CNF",
0x2029 : "TI_NAS_MMC_WAIT_WAS_BG_PLMN_SEARCH_CNF",
0x202A : "TI_NAS_MMC_WAIT_GAS_BG_PLMN_SEARCH_CNF",
0x202B : "TI_NAS_MMC_WAIT_WAS_BG_PLMN_STOP_CNF",
0x202C : "TI_NAS_MMC_WAIT_GAS_BG_PLMN_STOP_CNF",
0x202D : "TI_NAS_MMC_PERIOD_TRYING_HIGH_PRIO_PLMN_SEARCH",
0x202E : "TI_NAS_MMC_WAIT_WAS_OOS_SYS_INFO",
0x202F : "TI_NAS_MMC_WAIT_LMM_BG_PLMN_SEARCH_CNF",
0x2030 : "TI_NAS_MMC_WAIT_LMM_BG_PLMN_STOP_CNF",
0x2031 : "TI_NAS_MMC_WAIT_GAS_START_CNF",
0x2032 : "TI_NAS_MMC_WAIT_WAS_START_CNF",
0x2033 : "TI_NAS_MMC_WAIT_MASTER_MODE_POWEROFF_CNF",
0x2034 : "TI_NAS_MMC_WAIT_SLAVE_MODE_POWEROFF_CNF",
0x2035 : "TI_NAS_MMC_WAIT_GAS_SUSPEND_REL_CNF",
0x2036 : "TI_NAS_MMC_WAIT_LMM_SUSPEND_REL_CNF",
0x2037 : "TI_NAS_MMC_WAIT_ENABLE_LTE_TIMER",
0x2038 : "TI_NAS_MMC_PERIODIC_NET_SCAN_TIMER",
0x2039 : "TI_NAS_MMC_HIGH_PRIO_RAT_HPLMN_TIMER",
0x203A : "TI_NAS_MMC_WAIT_MSCC_REG_REQ",
0x203B : "TI_NAS_MMC_WAIT_CMMCA_RESUME_IND",
0x203C : "TI_NAS_MMC_PERIOD_DELETE_DISABLED_PLMN_WITH_RAT_TIMER",
0x203D : "TI_NAS_MMC_WAIT_LMM_BG_SEARCH_HRPD_CNF",
0x203E : "TI_NAS_MMC_WAIT_CSS_BAND_SCAN_CNF",
0x203F : "TI_NAS_MMC_WAIT_CSS_STOP_BAND_SCAN_CNF",
0x2040 : "TI_NAS_MMC_WAIT_MSCC_INTERSYS_HRPD_NTF",
0x2041 : "TI_NAS_MMC_WAIT_USIM_SET_FILE_CNF",
0x2042 : "TI_NAS_MMC_PLMN_SEARCH_PHASE_ONE_TOTAL_TIMER",
0x2043 : "TI_NAS_MMC_CUSTOMIZED_FORB_LA_TIMER",
0x2044 : "TI_NAS_MMC_PERIOD_TRYING_USER_CSG_LIST_SEARCH",
0x2045 : "TI_NAS_MMC_WAIT_LMM_CSG_LIST_SEARCH_CNF",
0x2046 : "TI_NAS_MMC_WAIT_WAS_CSG_LIST_SEARCH_CNF",
0x2047 : "TI_NAS_MMC_WAIT_GAS_CSG_LIST_SEARCH_CNF",
0x2048 : "TI_NAS_MMC_PERIOD_DELETE_FORBIDDEN_CSG_ID_TIMER",
0x2049 : "TI_NAS_MMC_AUTONOMOUS_CSG_ID_SEARCH_TIMER",
0x204A : "TI_NAS_MMC_PERIOD_CSG_ID_SEARCH_TIMER",
0x204B : "TI_NAS_MMC_PERIOD_TRYING_CSG_ID_SEARCH",
0x204C : "TI_NAS_MMC_MODE_SWITCH_SRCH_CTRL_TIMER",
0x204D : "TI_NAS_MMC_WAIT_USIM_SET_EFLOCIINFO_FILE_CNF",
0x204E : "TI_NAS_MMC_WAIT_USIM_SET_EFPSLOCIINFO_FILE_CNF",
0x204F : "TI_NAS_MMC_USIM_REFRESH_WAIT_READ_PHASE_ONE_FILES_CNF",
0x2050 : "TI_NAS_MMC_USIM_REFRESH_WAIT_READ_PHASE_TWO_FILES_CNF",
0x2051 : "TI_NAS_MMC_WAIT_READ_SIM_SRV_FILE_CNF",
0x2052 : "TI_NAS_MMC_GET_GEO_PROC_PROTECT_TIMER",
0x2053 : "TI_NAS_MMC_PS_EMC_ANYCELL_SEARCH_DELAY_TIMER",
0x2054 : "TI_NAS_MMC_CS_EMC_ANYCELL_SEARCH_DELAY_TIMER",
0x2328 : "TI_NAS_UTRANCTRL_WAIT_TD_SUSPEND_CNF",
0x2329 : "TI_NAS_UTRANCTRL_WAIT_TD_PLMN_SEARCH_CNF",
0x232A : "TI_NAS_UTRANCTRL_WAIT_TD_PLMN_STOP_CNF",
0x232B : "TI_NAS_UTRANCTRL_WAIT_WAS_SUSPEND_CNF",
0x232C : "TI_NAS_UTRANCTRL_WAIT_WAS_PLMN_SEARCH_CNF",
0x232D : "TI_NAS_UTRANCTRL_WAIT_WAS_PLMN_STOP_CNF",
0x232E : "TI_NAS_UTRANCTRL_WAIT_SLAVEMODE_UTRAN_MODE_CNF",
0x232F : "TI_NAS_UTRANCTRL_WAIT_MASTERMODE_UTRAN_MODE_CNF",
0x2330 : "TI_NAS_UTRANCTRL_WAIT_WAS_POWER_OFF_CNF",
0x2331 : "TI_NAS_UTRANCTRL_WAIT_TD_POWER_OFF_CNF",
0x2332 : "TI_NAS_UTRANCTRL_WAIT_WAS_START_CNF",
0x2333 : "TI_NAS_UTRANCTRL_WAIT_TD_START_CNF",
0x2334 : "TI_NAS_UTRANCTRL_WAIT_WAS_SYSCFG_CNF",
0x2335 : "TI_NAS_UTRANCTRL_WAIT_TD_SYSCFG_CNF",
0x2336 : "TI_NAS_UTRANCTRL_WAIT_MASTERMODE_UTRAN_MODE_REL_CNF",
}

def get_timer_mmc_msg_str( MsgId):
    for MsgIdIndex in timer_mmc_msg_enum_table.keys():
        if MsgIdIndex == MsgId:
            return timer_mmc_msg_enum_table[MsgIdIndex]

    return "none"